Show / Hide Table of Contents

# Struct hkLoader

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkLoader

### Fields

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### LoadedData

##### Declaration

    public hkArray<Pointer<hkResource>> LoadedData

##### Field Value

Type | Description
--- | ---
hkArray<Pointer<hkResource>> |

### Methods

| Improve this Doc View Source

#### load(hkStreamReader*)

##### Declaration

    public hkRootLevelContainer*load(hkStreamReader*reader)

##### Parameters

Type | Name | Description
--- | --- | ---
hkStreamReader* | reader |

##### Returns

Type | Description
--- | ---
hkRootLevelContainer* |